/************************************************************************
*                                                                                                                                        
*    Test du module Pmod 8 led                                           
*                                                                    
*************************************************************************
* Description:  Pmod_8LD                                                
* Les led s'allument et s'éteignent comme dans une celebre série des annees 2000
*  
* Matériel
*        1. Arduino Uno                                       
*        2. Module Pmod 8LD
*        
************************************************************************/

void setup()
{
  for (int i=2; i<=9; i++)                 // configuration des broches 2 à 9 en sortie
  {
     pinMode(i,OUTPUT);
  } 
}

void loop()
{
  for (int i=1; i <=4; i++)               // les led s'allument de l'extérieur vers l'intérieur du module
   {
      digitalWrite(i+1,HIGH); 
      digitalWrite(10-i,HIGH);  
      delay(300);
   } 
 delay(600);
 for (int i=1; i <=4; i++)                // les led s'éteignent de l'intérieur vers l'extérieur du module
   {
      digitalWrite(6-i,LOW); 
      digitalWrite(5+i,LOW);
      delay(300);
   } 
 delay(600);
}


